Distribution:		CCux
Packager:		Christian Wasem <wasem@ccux-linux.de>

Name:		gconfmm
Version:	2.22.0
Release:	1
Summary:	C++ wrapper for GConf2
Group:		System Environment/Libraries
License:	LGPLv2+
URL:		http://gtkmm.sourceforge.net/
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gconfmm/2.18/gconfmm-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot

Requires(post):	/sbin/ldconfig
Requires(postun): /sbin/ldconfig
BuildRequires:	glibmm-devel >= 2.6.4
BuildRequires:	gtkmm-devel >= 2.4.0
BuildRequires:	GConf-devel >= 2.4.0

# Require for rpm lzma compression transition
Requires:	rpm >= 4.4.2.3-1

%description
This package provides a C++ interface for GConf2. It is a subpackage
of the GTKmm project.  The interface provides a convenient interface
for C++ programmers to create Gnome GUIs with GTK+'s flexible
object-oriented framework.

%package	devel
Summary:	Headers for developing programs that will use gconfmm
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glibmm-devel
Requires:	gtkmm-devel
Requires:	GConf-devel

%description	devel
This package contains the headers that programmers will need to
develop applications which will use gconfmm, part of GTKmm, the C++
interface to the GTK+.

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%prep
%setup -q -n gconfmm-%{version}

%build
%configure \
--enable-shared
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, -)
%doc AUTHORS ChangeLog COPYING NEWS README INSTALL
%_libdir/*.so.*

%files devel
%defattr(-, root, root, -)
%_includedir
%_libdir/gconfmm-2.6
%_libdir/*.la
%_libdir/*.so
%_pkgconfig

%changelog
* Fri Jul 25 2008 Christian Wasem <wasem@ccux-linux.de> 2.22.0-1
- Initial release
